Name:          libbluray
Version:       1.3.1
Release:       1mamba
Summary:       An open-source library designed for Blu-Ray Discs playback for media players
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://www.videolan.org/developers/libbluray.html
Source:        ftp://ftp.videolan.org/pub/videolan/libbluray/%{version}/libbluray-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END

%description
libbluray is an open-source library designed for Blu-Ray Discs playback for media players, like VLC or MPlayer.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-tools = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         System/Tools
Summary:       Tools provided by %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains the tools provided by %{name}.

%package -n java-libbluray
Group:         System/Libraries
Summary:       Java binding library for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n java-libbluray
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%configure \
   --disable-static \
%ifarch arm
   --disable-bdjava-jar
%endif

#  --enable-doxygen-html
#  --enable-bdjava

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libbluray.so.*
%doc COPYING

%ifnarch arm
%files -n java-libbluray
%defattr(-,root,root)
%{_datadir}/java/libbluray*-j2se-%{version}.jar
%doc COPYING
%endif

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/libbluray.la
%{_libdir}/libbluray.so
%{_libdir}/pkgconfig/libbluray.pc

%files tools
%defattr(-,root,root)
%{_bindir}/bd_info
%{_bindir}/bd_list_titles
%{_bindir}/bd_splice

%changelog
* Mon Mar 07 2022 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Wed Dec 08 2021 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Mon Nov 09 2020 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Sun Mar 22 2020 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Sun Jun 09 2019 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic version update by autodist

* Tue Apr 09 2019 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Fri Mar 08 2019 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Sun Sep 16 2018 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Sun Jul 02 2017 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Thu Apr 13 2017 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Sun Dec 06 2015 Automatic Build System <autodist@mambasoft.it> 0.9.2-1mamba
- automatic version update by autodist

* Thu Nov 05 2015 Automatic Build System <autodist@mambasoft.it> 0.9.1-1mamba
- automatic version update by autodist

* Sun Oct 04 2015 Automatic Build System <autodist@mambasoft.it> 0.9.0-1mamba
- automatic version update by autodist

* Fri May 22 2015 Automatic Build System <autodist@mambasoft.it> 0.8.1-1mamba
- automatic version update by autodist

* Sun May 10 2015 Automatic Build System <autodist@mambasoft.it> 0.8.0-1mamba
- automatic version update by autodist

* Thu Jan 29 2015 Automatic Build System <autodist@mambasoft.it> 0.7.0-1mamba
- automatic version update by autodist

* Mon Sep 22 2014 Automatic Build System <autodist@mambasoft.it> 0.6.2-1mamba
- automatic version update by autodist

* Sun Sep 21 2014 Automatic Build System <autodist@mambasoft.it> 0.6.0-1mamba
- automatic version update by autodist

* Sun Dec 22 2013 Automatic Build System <autodist@mambasoft.it> 0.5.0-1mamba
- automatic version update by autodist

* Sat Nov 02 2013 Automatic Build System <autodist@mambasoft.it> 0.4.0-1mamba
- automatic version update by autodist

* Tue May 28 2013 Automatic Build System <autodist@mambasoft.it> 0.3.0-1mamba
- automatic version update by autodist

* Sun Dec 02 2012 Automatic Build System <autodist@mambasoft.it> 0.2.3-1mamba
- automatic version update by autodist

* Sun Dec 18 2011 Davide Madrisan <davide.madrisan@gmail.com> 0.2.1-1mamba
- package created by autospec
